Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class ServerInstanceImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
              edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
                  edu.stanford.smi.protege.server.metaproject.impl.ServerInstanceImpl

All Implemented Interfaces:
  Localizable, PolicyControlledObject, ServerInstance, Serializable

    public class ServerInstanceImpl

extends PolicyControlledObjectImpl
implements ServerInstance, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `ServerInstanceImpl(MetaProjectImpl mp, Instance pi)`

Method Summary
`String` | `getHostName()`
`void` | `setHostName(String hostName)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
`addAllowedGroupOperations, addInCollection, equals, getAllowedGroupOperations, getDescription, getInCollection, getName, hashCode, isPolicyModifiableByClient, removeInCollection, setAllowedGroupOperations, setDescription, setInCollection, setName, setPolicyModifiableByClient, toString`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
`addPropertyValue, addPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesAsString, removePropertyValue, removePropertyValue, setPropertyValue, setPropertyValues`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addAllowedGroupOperations, addInCollection, addPropertyValue, addPropertyValue, getAllowedGroupOperations, getDescription, getInCollection, getMetaProject, getName, getPropertyValue, getPropertyValues, getPropertyValuesAsString, getProtegeInstance, isPolicyModifiableByClient, removeInCollection, removePropertyValue, removePropertyValue, setAllowedGroupOperations, setDescription, setInCollection, setName, setPolicyModifiableByClient, setPropertyValues`

Constructor Detail

### ServerInstanceImpl

    protected ServerInstanceImpl(MetaProjectImpl mp,
                                 Instance pi)

Method Detail

### getHostName

    public String getHostName()

  Specified by:
    `getHostName` in interface `ServerInstance`

### setHostName

    public void setHostName(String hostName)

  Specified by:
    `setHostName` in interface `ServerInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.